/*
	UpdateGeometry.h
*/

#ifndef _UPDATEGEOMETRY_H
#define _UPDATEGEOMETRY_H

/* local prototypes: */
void UpdateGeometryUsage(void);

#include "../../c/modules/modules.h"
#include "../../c/DataSet/DataSet.h"
#include "../../c/shared/shared.h"
#include "../../c/EnumDefinitions/EnumDefinitions.h"

#undef __FUNCT__ 
#define __FUNCT__  "UpdateGeometry"

/* serial input macros: */
#define ELEMENTSIN (mxArray*)prhs[0]
#define NODESIN (mxArray*)prhs[1]
#define VERTICESIN (mxArray*)prhs[2]
#define LOADSIN (mxArray*)prhs[3]
#define MATERIALSIN (mxArray*)prhs[4]
#define PARAMETERSIN (mxArray*)prhs[5]

/* serial output macros: */
#define ELEMENTS (mxArray**)&plhs[0]
#define NODES (mxArray**)&plhs[1]
#define VERTICES (mxArray**)&plhs[2]
#define LOADS (mxArray**)&plhs[3]
#define MATERIALS (mxArray**)&plhs[4]
#define PARAMETERS (mxArray**)&plhs[5]

/* serial arg counts: */
#undef NLHS
#define NLHS  6
#undef NRHS
#define NRHS  6

#endif  /* _UPDATEGEOMETRY_H */

